<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::group(['middleware' => ['web','auth']], function(){
    Route::get('/home', 'HomeController@index');
    Route::get('/', function () {

        if (Auth::user()->status=='admin'){
            return view('adminlte::admin.index');
        }else if(Auth::user()->status=='customer'){
            return view('adminlte::customer.index');
        }else if(Auth::user()->status=='kasir'){
            return view('adminlte::kasir.index');
        }else if(Auth::user()->status=='inventori'){
            return view('adminlte::inventori.index');
        }
    });
});




Route::group(['middleware' => ['web','auth','admin']], function () {
    Route::get('/laporanTransaksi', 'AdminController@laporanTransaksi');
    Route::get('/listPetugas', 'AdminController@listPetugas');

});




Route::group(['middleware' => ['web','auth','customer']], function () {
    Route::get('/BeliBarang', 'CustomerController@BeliBarang');
    Route::get('/CheckSaldo', 'CustomerController@CheckSaldo');


    Route::get('/RequestBarang', 'CustomerController@RequestBarang');
    Route::get('/createRequest/{id}', 'CustomerController@createRequest');
    Route::post('/storeRequest', 'CustomerController@storeRequest');
    Route::post('/saveRequest', 'CustomerController@saveRequest');


    Route::get('/HistoryTransaksi', 'CustomerController@HistoryTransaksi');
});




Route::group(['middleware' => ['web','auth','inventori']], function () {
    Route::get('/ListBarang', 'InventoriController@listBarang');
    Route::get('/create', 'InventoriController@create');
    Route::post('/store', 'InventoriController@store');
    Route::get('/edit/{id}', 'InventoriController@edit');
    Route::post('/update/{id}', 'InventoriController@update');
    Route::get('/delete/{id}', 'InventoriController@destroy');


    Route::get('/ListRequest', 'InventoriController@ListRequest');
    Route::get('/editRequest/{id}', 'InventoriController@editRequest');
    Route::post('/update/{id}', 'InventoriController@update');
    Route::get('/delete/{id}', 'InventoriController@destroy');


    Route::get('/DataRequest', 'InventoriController@DataRequest');
    Route::get('/createDataRequest', 'InventoriController@createDataRequest');
    Route::post('/storeDataRequest', 'InventoriController@storeDataRequest');
    Route::get('/editDataRequest/{id}', 'InventoriController@editDataRequest');
    Route::post('/updateDataRequest/{id}', 'InventoriController@updateDataRequest');
    Route::get('/deleteDataRequest/{id}', 'InventoriController@destroyDataRequest');

});




Route::group(['middleware' => ['web','auth','kasir']], function () {
    Route::get('/ListCustomer', 'KasirController@ListCustomer');

});